description

# ProcessException class Null safety

Implemented types
  - IOException

## Constructors

ProcessException(String executable, List<String> arguments, [String message = "", int errorCode = 0])
  const

## Properties

arguments → List<String>
  Contains the arguments provided for the process.
  final
errorCode → int
  Contains the OS error code for the process exception if any.
  final
executable → String
  Contains the executable provided for the process.
  final
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
message → String
  Contains the system message for the process exception if any.
  final
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
toString() → String
  Returns a string representation of this object.
  override

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited